This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1247333 - [abrt] gnome-shell: load_cursor_image(): gnome-shell killed by SIGABRT
[abrt] gnome-shell: load_cursor_image(): gnome-shell killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:71f51bc31a9d755501b917d8cba...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 15:05 EDT by Алексей Смирнов
Modified: 2017-08-08 08:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:03:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.25 KB, text/plain)
2015-07-27 15:05 EDT, Алексей Смирнов
no flags Details
File: cgroup (190 bytes, text/plain)
2015-07-27 15:05 EDT, Алексей Смирнов
no flags Details
File: core_backtrace (6.79 KB, text/plain)
2015-07-27 15:05 EDT, Алексей Смирнов
no flags Details
File: dso_list (25.36 KB, text/plain)
2015-07-27 15:05 EDT, Алексей Смирнов
no flags Details
File: environ (836 bytes, text/plain)
2015-07-27 15:05 EDT, Алексей Смирнов
no flags Details
File: limits (1.29 KB, text/plain)
2015-07-27 15:05 EDT, Алексей Смирнов
no flags Details
File: maps (103.52 KB, text/plain)
2015-07-27 15:05 EDT, Алексей Смирнов
no flags Details
File: mountinfo (3.16 KB, text/plain)
2015-07-27 15:05 EDT, Алексей Смирнов
no flags Details
File: namespaces (85 bytes, text/plain)
2015-07-27 15:05 EDT, Алексей Смирнов
no flags Details
File: open_fds (5.98 KB, text/plain)
2015-07-27 15:05 EDT, Алексей Смирнов
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2015-07-27 15:05 EDT, Алексей Смирнов
no flags Details
File: var_log_messages (303 bytes, text/plain)
2015-07-27 15:05 EDT, Алексей Смирнов
no flags Details

  None (edit)
Description Алексей Смирнов 2015-07-27 15:05:33 EDT
Description of problem:
Gnome crashed when running firefox in wayland session.

Version-Release number of selected component:
gnome-shell-3.17.4-1.fc24

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: load_cursor_image
executable:     /usr/bin/gnome-shell
global_pid:     1778
kernel:         4.2.0-0.rc3.git4.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 load_cursor_image at backends/meta-cursor.c:309
 #5 meta_cursor_reference_get_gbm_bo at backends/meta-cursor.c:460
 #6 should_have_hw_cursor at backends/native/meta-cursor-renderer-native.c:151
 #7 meta_cursor_renderer_native_update_cursor at backends/native/meta-cursor-renderer-native.c:216
 #8 update_cursor at backends/meta-cursor-renderer.c:114
 #9 meta_cursor_renderer_set_cursor at backends/meta-cursor-renderer.c:144
 #10 update_displayed_cursor at backends/meta-cursor-tracker.c:77
 #11 sync_cursor at backends/meta-cursor-tracker.c:92
 #12 set_window_cursor at backends/meta-cursor-tracker.c:167
 #13 meta_cursor_tracker_set_window_cursor at backends/meta-cursor-tracker.c:343

Potential duplicate: bug 1216233
Comment 1 Алексей Смирнов 2015-07-27 15:05:36 EDT
Created attachment 1056719 [details]
File: backtrace
Comment 2 Алексей Смирнов 2015-07-27 15:05:37 EDT
Created attachment 1056720 [details]
File: cgroup
Comment 3 Алексей Смирнов 2015-07-27 15:05:39 EDT
Created attachment 1056721 [details]
File: core_backtrace
Comment 4 Алексей Смирнов 2015-07-27 15:05:40 EDT
Created attachment 1056722 [details]
File: dso_list
Comment 5 Алексей Смирнов 2015-07-27 15:05:41 EDT
Created attachment 1056723 [details]
File: environ
Comment 6 Алексей Смирнов 2015-07-27 15:05:43 EDT
Created attachment 1056724 [details]
File: limits
Comment 7 Алексей Смирнов 2015-07-27 15:05:45 EDT
Created attachment 1056725 [details]
File: maps
Comment 8 Алексей Смирнов 2015-07-27 15:05:46 EDT
Created attachment 1056726 [details]
File: mountinfo
Comment 9 Алексей Смирнов 2015-07-27 15:05:47 EDT
Created attachment 1056727 [details]
File: namespaces
Comment 10 Алексей Смирнов 2015-07-27 15:05:48 EDT
Created attachment 1056728 [details]
File: open_fds
Comment 11 Алексей Смирнов 2015-07-27 15:05:50 EDT
Created attachment 1056729 [details]
File: proc_pid_status
Comment 12 Алексей Смирнов 2015-07-27 15:05:51 EDT
Created attachment 1056730 [details]
File: var_log_messages
Comment 13 mchalupa 2015-08-03 07:48:12 EDT
duplicate https://bugzilla.redhat.com/show_bug.cgi?id=1216233
Comment 14 Алексей Смирнов 2015-08-05 05:36:10 EDT
Another user experienced a similar problem:

Drag the selected text on the page to the address bar in Firefox.
(Wayland session)

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: load_cursor_image
executable:     /usr/bin/gnome-shell
global_pid:     1839
kernel:         4.2.0-0.rc5.git0.1.fc24.x86_64
package:        gnome-shell-3.17.4-1.fc24
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Jan Kurik 2016-02-24 08:28:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 16 Fedora End Of Life 2017-07-25 15:02:54 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2017-08-08 08:03:00 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.